/**
 * XActRelationshipPertinentInfo2.java
 *
 * File generated from the medication2::XActRelationshipPertinentInfo2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XActRelationshipPertinentInfo2.
 *
 * 
 */

@XmlType(name = "XActRelationshipPertinentInfo")
@XmlEnum
@XmlRootElement(name = "XActRelationshipPertinentInfo2")
public enum XActRelationshipPertinentInfo2 {
	@XmlEnumValue("SPRT")
	SPRT("SPRT"),
	@XmlEnumValue("CAUS")
	CAUS("CAUS"),
	@XmlEnumValue("MFST")
	MFST("MFST"),
	@XmlEnumValue("REFR")
	REFR("REFR"),
	@XmlEnumValue("SUBJ")
	SUBJ("SUBJ");
	
	private final String value;

    XActRelationshipPertinentInfo2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static XActRelationshipPertinentInfo2 fromValue(String v) {
        for (XActRelationshipPertinentInfo2 c: XActRelationshipPertinentInfo2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
